# Получение информации об инвойсе

## Получение информации об инвойсе

<mark style="color:green;">`POST`</mark> `https://api.crystalpay.io/v3/invoice/info/`

**Body**

<table><thead><tr><th>Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>auth_login</code><mark style="color:red;">*</mark></td><td>string</td><td>Логин кассы</td></tr><tr><td><code>auth_secret</code><mark style="color:red;">*</mark></td><td>string</td><td>Секретный ключ кассы</td></tr><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>ID инвойса</td></tr></tbody></table>

<mark style="color:red;">\*</mark> *- обязательные поля*

**Response**

{% tabs %}
{% tab title="JSON" %}

```json
{
    "error": false,
    "errors": [],
    "id": "123456789_abcdefghij",
    "url": "https://pay.crystalpay.io/?i=123456789_abcdefghij",
    "state": "notpayed",
    "type": "topup",
    "subtract_from": "amount",
    "method": null,
    "required_method": null,
    "rub_amount": "8146",
    "currency": "USD",
    "amount": "100",
    "amount_currency": "USD",
    "initial_amount": "100",
    "remaining_amount": "100",
    "balance_amount": "100",
    "commission_amount": "0",
    "description": null,
    "redirect_url": "https://crystalpay.io",
    "callback_url": null,
    "extra": null,
    "created_at": "2024-01-10 11:08:11",
    "expired_at": "2024-01-11 11:08:11",
    "final_at": null
}
```

{% endtab %}

{% tab title="Описание полей" %}

<table><thead><tr><th>Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>ID инвойса</td></tr><tr><td><code>url</code></td><td>string</td><td>Ссылка на оплату инвойса</td></tr><tr><td><code>state</code></td><td>string</td><td><a href="/pages/Mv5o7r4FFtKNX3iUXgT3#vozmozhnye-statusy-state">Статус инвойса</a></td></tr><tr><td><code>type</code></td><td>string</td><td><a href="/pages/Mv5o7r4FFtKNX3iUXgT3#vozmozhnye-varianty-type">Тип инвойса</a></td></tr><tr><td><code>subtract_from</code></td><td>string</td><td><a href="/pages/Mv5o7r4FFtKNX3iUXgT3#vozmozhnye-varianty-subtract_from">Откуда вычитать комиссию</a></td></tr><tr><td><code>method</code></td><td>string</td><td>Внутреннее название метода</td></tr><tr><td><code>required_method</code></td><td>string</td><td>Заранее заданный метод, плательщик не сможет выбрать другой</td></tr><tr><td><code>rub_amount</code></td><td>string</td><td>Сумма инвойса в рублях</td></tr><tr><td><code>currency</code></td><td>string</td><td>Валюта инвойса</td></tr><tr><td><code>amount</code></td><td>string</td><td>Сумма инвойса в валюте <code>currency</code></td></tr><tr><td><code>amount_currency</code></td><td>string</td><td>Валюта суммы</td></tr><tr><td><code>initial_amount</code></td><td>string</td><td>Изначальная сумма к оплате в валюте <code>amount_currency</code></td></tr><tr><td><code>remaining_amount</code></td><td>string</td><td>Оставшаяся сумма к оплате в валюте <code>amount_currency</code></td></tr><tr><td><code>balance_amount</code></td><td>string</td><td>Сумма зачисления на баланс кассы в валюте <code>amount_currency</code></td></tr><tr><td><code>commission_amount</code></td><td>string</td><td>Сумма комиссии в валюте <code>amount_currency</code></td></tr><tr><td><code>description</code></td><td>string</td><td>Описание или назначение</td></tr><tr><td><code>redirect_url</code></td><td>string</td><td>Ссылка для перенаправления после оплаты</td></tr><tr><td><code>callback_url</code></td><td>string</td><td><a href="/pages/bPe8HUhLvdYJhOrfbAjc">Ссылка для отправки http callback уведомления об оплате</a></td></tr><tr><td><code>extra</code></td><td>string</td><td>Любые данные, например ID платежа в вашей системе</td></tr><tr><td><code>created_at</code></td><td>string</td><td>Дата и время создания</td></tr><tr><td><code>expired_at</code></td><td>string</td><td>Дата и время окончания действия</td></tr><tr><td><code>final_at</code></td><td>string</td><td>Дата и время получения финального статуса, например после оплаты</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.crystalpay.io/metody-api/invoice-platezhi/poluchenie-informacii-ob-invoise.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
